Loading...
Searching...
No Matches
line_dist.c File Reference
`#include <grass/gis.h>`
Include dependency graph for line_dist.c:

Go to the source code of this file.

## Macros

#define | ZERO(x)
#define | TOLERANCE 1.0e-10

## Functions

void | G_set_distance_to_line_tolerance (double t)
double | G_distance2_point_to_line (double x, double y, double x1, double y1, double x2, double y2)

## Macro Definition Documentation

## TOLERANCE

#define TOLERANCE 1.0e-10

Definition at line 5 of file line_dist.c.

Referenced by G_set_distance_to_line_tolerance().

## ZERO

#define ZERO | ( |  | x | ) |

Value:
x<tolerance && x> - tolerance
x
#define x

Definition at line 4 of file line_dist.c.

Referenced by G_distance2_point_to_line().

## Function Documentation

## G_distance2_point_to_line()

double G_distance2_point_to_line | ( | double | x,
|  | double | y,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 )

Definition at line 15 of file line_dist.c.

References t, x, and ZERO.

## G_set_distance_to_line_tolerance()

void G_set_distance_to_line_tolerance | ( | double | t | ) |

Definition at line 8 of file line_dist.c.

References t, and TOLERANCE.